aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--build.xml21
-rwxr-xr-xwebsite/publish33
2 files changed, 51 insertions, 3 deletions
diff --git a/build.xml b/build.xml
index a26c68ef..c2f70794 100644
--- a/build.xml
+++ b/build.xml
@@ -58,6 +58,7 @@
<exclude name="**/*.svg" />
<exclude name="**/*.psd" />
<exclude name="**/*.ai" />
+ <exclude name="**/publish" />
<exclude name="**/*unused*" />
</fileset>
</copy>
@@ -67,6 +68,7 @@
<antcall target="-integrateSnippet">
<param name="transformationName" value="Data" />
</antcall>
+ <mkdir dir="dist" />
<zip destfile="dist/website.zip">
<zipfileset dir="build/website" />
<zipfileset dir="doc/api" prefix="api" />
@@ -169,14 +171,27 @@
</target>
<target name="javadoc">
+ <delete dir="build/api" quiet="true" />
<delete dir="doc/api" quiet="true" />
- <mkdir dir="doc/api" />
- <javadoc sourcepath="src" defaultexcludes="yes" destdir="doc/api" windowtitle="Lombok">
+ <mkdir dir="build/api" />
+ <javadoc sourcepath="src" defaultexcludes="yes" destdir="build/api" windowtitle="Lombok">
<classpath refid="lombok.deps.path" />
<classpath refid="lombok.libs.path" />
<link href="http://java.sun.com/javase/6/docs/api/" offline="true" packagelistLoc="./deps/javadoc/java6"/>
- <bottom><![CDATA[<i>Copyright &#169; 2009 Reinier Zwitserloot and Roel Spilker. See LICENCE for more information.]]></bottom>
+ <bottom><![CDATA[<i>Copyright &#169; 2009 Reinier Zwitserloot and Roel Spilker, licensed under the <a href="http://www.opensource.org/licenses/mit-license.php">MIT licence</a>.]]></bottom>
</javadoc>
+ <mkdir dir="doc/api" />
+ <copy todir="doc/api">
+ <fileset dir="build/api" includes="**/*.html" />
+ <filterchain>
+ <linecontains negate="true">
+ <contains value="Generated by javadoc" />
+ </linecontains>
+ </filterchain>
+ </copy>
+ <copy todir="doc/api">
+ <fileset dir="build/api" excludes="**/*.html" />
+ </copy>
</target>
<target name="dist" depends="clean, compile, getVersion, unpackLibs">
diff --git a/website/publish b/website/publish
new file mode 100755
index 00000000..4894c4e7
--- /dev/null
+++ b/website/publish
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+CURDIR=`pwd`
+
+
+cd `dirname $0` || exit
+cd .. || exit
+
+if [ ! -e dist/website.zip ]; then
+ echo There is no dist/website.zip file! Run:
+ echo ant website
+ echo then restart this script
+ exit
+fi
+
+mkdir -p build/temp || exit
+cd build/temp || exit
+git clone -l -n ../.. websitegit || exit
+cd websitegit || exit
+git branch gh-pages origin/gh-pages || exit
+git checkout gh-pages || exit
+rm -r * || exit
+unzip ../../../dist/website.zip || exit
+git add . || exit
+git commit -a -m website || exit
+git push origin gh-pages || exit
+cd .. || exit
+rm -rf websitegit || exit
+
+cd "$CURDIR"
+
+echo Your gh-pages branch has been updated. Do not forget to run:
+echo git push origin gh-pages